Debian Bug report logs - #644492
dpkg: --configure -a does not run postinst scripts

version graph

Package: dpkg; Maintainer for dpkg is Dpkg Developers <debian-dpkg@lists.debian.org>; Source for dpkg is src:dpkg.

Reported by: Hector Oron <hector.oron@gmail.com>

Date: Thu, 6 Oct 2011 10:57:03 UTC

Severity: important

Found in version dpkg/1.16.1

Fixed in version dpkg/1.16.1.1

Done: Guillem Jover <guillem@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#644492; Package dpkg. (Thu, 06 Oct 2011 10:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
New Bug report received and forwarded. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Thu, 06 Oct 2011 10:57:14 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dpkg: --configure -a does not run postinst scripts
Date: Thu, 06 Oct 2011 11:54:51 +0100
Package: dpkg
Version: 1.16.1
Severity: important

Hello,

  While having a database of packages with status: installed ok unpacked
  $ grep -c unpacked /var/lib/dpkg/status
  129
  $ grep -c installed /var/lib/dpkg/status
  12

  I run 'dpkg --configure -a' to configure the packages:
  # dpkg --configure -a
  # grep -c unpacked var/lib/dpkg/status
  0
  # grep -c installed var/lib/dpkg/status
  141

  But dpkg does not seem to trigger postinst scripts nor place conffiles, as it states in
  dpkg(1) manpage:

         --configure package...|-a|--pending
               Configure a package which has been unpacked but not yet configured.  If  -a  or  --pending  is  given
               instead of package, all unpacked but unconfigured packages are configured.

               To  reconfigure  a  package  which  has  already been configured, try the dpkg-reconfigure(8) command
               instead.

               Configuring consists of the following steps:

               1. Unpack the conffiles, and at the same time back up the old conffiles, so that they can be restored
               if something goes wrong.

               2. Run postinst script, if provided by the package.

  To be able to reproduce:
  # multistrap -f armhf.conf -d test-chroot
  # cp /usr/bin/qemu-arm-static test-chroot/usr/bin
  # chroot test-chroot dpkg --configure -a

  being armhf.conf as
  # Example multistrap configuration file for a sid build chroot
  # Need to use cascading to select the toolchain for a cross arch.

  [General]
  arch=armhf
  # same as --tidy-up option if set to true
  cleanup=true
  # same as --no-auth option if set to true
  # keyring packages listed in each debootstrap will
  # still be installed.
  noauth=true
  # extract all downloaded archives (default is true)
  unpack=true
  # the order of sections is not important.
  # the debootstrap option determines which repository
  # is used to calculate the list of Priority: required packages.
  debootstrap=Base
  aptsources=Base

  [Base]
  packages=apt dpkg-dev build-essential sudo
  packages=vim fakeroot debfoster debootstrap devscripts
  source=http://debian.advalem.net/debian-ports
  keyring=debian-ports-archive-keyring
  suite=unstable
  omitdebsrc=true

  OTOH, I did a minimal test with wget which seem to work fine:
  # apt-get download wget
  # dpkg --unpack wget_1.13-1_armhf.deb 
  Selecting previously unselected package wget.
  (Reading database ... 14124 files and directories currently installed.)
  Unpacking wget (from wget_1.13-1_armhf.deb) ...
  # dpkg --configure wget
  Setting up wget (1.13-1) ...

  Best regards

-- System Information:
Debian Release: wheezy/sid
  APT prefers stable
  APT policy: (500, 'stable'), (50, 'unstable'), (50, 'testing'), (50, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.39-2-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages dpkg depends on:
ii  coreutils    8.13-2               
ii  libbz2-1.0   1.0.5-7              
ii  libc6        2.13-21              
ii  libselinux1  2.1.0-1              
ii  xz-utils     5.1.1alpha+20110809-2
ii  zlib1g       1:1.2.3.4.dfsg-3     

dpkg recommends no packages.

Versions of packages dpkg suggests:
ii  apt  0.8.15.8

-- Configuration Files:
/etc/dpkg/dpkg.cfg changed:
no-debsig
log /var/log/dpkg.log


-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#644492; Package dpkg. (Thu, 06 Oct 2011 13:36:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Thu, 06 Oct 2011 13:36:15 GMT) Full text and rfc822 format available.

Message #10 received at 644492@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Hector Oron <hector.oron@gmail.com>, 644492@bugs.debian.org
Subject: Re: Bug#644492: dpkg: --configure -a does not run postinst scripts
Date: Thu, 6 Oct 2011 15:34:04 +0200
[Message part 1 (text/plain, inline)]
On Thu, 06 Oct 2011, Hector Oron wrote:
>   To be able to reproduce:
>   # multistrap -f armhf.conf -d test-chroot
>   # cp /usr/bin/qemu-arm-static test-chroot/usr/bin
>   # chroot test-chroot dpkg --configure -a

Running this with debugging enabled shows me:
# dpkg -D71223 --configure -a
D020000: trig_transitional_activate libtext-wrapi18n-perl unpacked
D020000: trig_transitional_activate debconf unpacked
D020000: trig_transitional_activate dash unpacked
D020000: trig_transitional_activate coreutils unpacked
D020000: trig_transitional_activate sudo unpacked
D020000: trig_transitional_activate debianutils unpacked
D020000: trig_transitional_activate login unpacked
D020000: trig_transitional_activate gpgv unpacked
D020000: trig_transitional_activate libssl1.0.0 unpacked
D020000: trig_transitional_activate libgdbm3 unpacked
[...]
D010000: trigproc_run_deferred
# 

The status change is the result of commit
a36cadba41b19d5908bdfcb658cf01af07c1436a

The problem only manifests itself on initial installation since that code
is executed only when /var/lib/dpkg/triggers/Unincorp doesn't exist yet.

(So an easy work-around for now is to mkdir /var/lib/dpkg/triggers
 && touch /var/lib/dpkg/triggers/Unincorp in the created chroot)

I am attaching the patch that I will shortly commit to the sid branch.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Pre-order a copy of the Debian Administrator's Handbook and help
liberate it: http://debian-handbook.info/go/ulule-rh/
[patch (text/plain, attachment)]

Added tag(s) pending. Request was from Raphaël Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Thu, 06 Oct 2011 14:09:06 GMT) Full text and rfc822 format available.

Message sent on to Hector Oron <hector.oron@gmail.com>:
Bug#644492. (Thu, 06 Oct 2011 14:09:09 GMT) Full text and rfc822 format available.

Message #15 received at 644492-submitter@bugs.debian.org (full text, mbox):

From: Raphaël Hertzog <hertzog@debian.org>
To: 644492-submitter@bugs.debian.org
Subject: Bug#644492 marked as pending
Date: Thu, 06 Oct 2011 14:07:12 +0000
tag 644492 pending
thanks

Hello,

Bug #644492 reported by you has been fixed in the Git repository. You can
see the changelog below, and you can check the diff of the fix at:

    http://git.debian.org/?p=dpkg/dpkg.git;a=commitdiff;h=667bae3

---
commit 667bae316a302c0f62e5e38a6c791a62785af4b2
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Thu Oct 6 15:32:36 2011 +0200

    dpkg: fix trigger setup code to not reset the status of unconfigured packages
    
    The change in commit a36cadba41b19d5908bdfcb658cf01af07c1436a was wrongly
    assuming that all packages would be in one of the states
    triggers-awaited, triggers-pending or installed when
    trig_transitional_activate kicks in.
    
    That is not the case and the status reset should hence only be done when
    the current status is already such that the trigger information are
    meaningful. transitional_interest_callback_ro() is already taking care
    to not add anything in the Triggers-Pending field when the status
    is such that it would not make sense.
    
    Reported-by: Hector Oron <hector.oron@gmail.com>

diff --git a/debian/changelog b/debian/changelog
index 6554462..cd32353 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -10,6 +10,9 @@ dpkg (1.16.1.1) UNRELEASED; urgency=low
   * Stop outputting build flags in dpkg-buildpackage as it confuses
     maintainers who are overriding them in debian/rules and who
     are not seeing the expected value in the build log.
+  * Fix trigger setup code to not reset the status of packages
+    when they are in a status different from triggers-awaited,
+    triggers-pending or installed. Closes: #644492
 
   [ Guillem Jover ]
   * Change dpkg-buildflags to set preprocessor option -D_FORTIFY_SOURCE=2




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#644492; Package dpkg. (Thu, 06 Oct 2011 20:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Thu, 06 Oct 2011 20:21:06 GMT) Full text and rfc822 format available.

Message #20 received at 644492@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: Raphael Hertzog <hertzog@debian.org>
Cc: 644492@bugs.debian.org
Subject: Re: Bug#644492: dpkg: --configure -a does not run postinst scripts
Date: Thu, 6 Oct 2011 22:20:05 +0200
Hello,

2011/10/6 Raphael Hertzog <hertzog@debian.org>:
> On Thu, 06 Oct 2011, Hector Oron wrote:

>>   To be able to reproduce:
>>   # multistrap -f armhf.conf -d test-chroot
>>   # cp /usr/bin/qemu-arm-static test-chroot/usr/bin
>>   # chroot test-chroot dpkg --configure -a

> The problem only manifests itself on initial installation since that code
> is executed only when /var/lib/dpkg/triggers/Unincorp doesn't exist yet.
>
> (So an easy work-around for now is to mkdir /var/lib/dpkg/triggers
>  && touch /var/lib/dpkg/triggers/Unincorp in the created chroot)

Thanks Raphael, I can (at least) confirm that the work-around works.


Best regards,
-- 
 Héctor Orón  -.. . -... .. .- -.   -.. . ...- . .-.. --- .--. . .-.




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#644492; Package dpkg. (Thu, 06 Oct 2011 20:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Thu, 06 Oct 2011 20:51:03 GMT) Full text and rfc822 format available.

Message #25 received at 644492@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Hector Oron <hector.oron@gmail.com>
Cc: 644492@bugs.debian.org
Subject: Re: Bug#644492: dpkg: --configure -a does not run postinst scripts
Date: Thu, 6 Oct 2011 22:49:19 +0200
On Thu, 06 Oct 2011, Hector Oron wrote:
> > (So an easy work-around for now is to mkdir /var/lib/dpkg/triggers
> >  && touch /var/lib/dpkg/triggers/Unincorp in the created chroot)
> 
> Thanks Raphael, I can (at least) confirm that the work-around works.

Well, note that this work-around is a not a good one since triggers of
those initial packages won't be correctly setup.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Pre-order a copy of the Debian Administrator's Handbook and help
liberate it: http://debian-handbook.info/go/ulule-rh/




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#644492; Package dpkg. (Thu, 06 Oct 2011 22:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Thu, 06 Oct 2011 22:09:06 GMT) Full text and rfc822 format available.

Message #30 received at 644492@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: Raphael Hertzog <hertzog@debian.org>
Cc: 644492@bugs.debian.org
Subject: Re: Bug#644492: dpkg: --configure -a does not run postinst scripts
Date: Fri, 7 Oct 2011 00:07:28 +0200
Hello,

2011/10/6 Raphael Hertzog <hertzog@debian.org>:
> On Thu, 06 Oct 2011, Hector Oron wrote:

>> > (So an easy work-around for now is to mkdir /var/lib/dpkg/triggers
>> >  && touch /var/lib/dpkg/triggers/Unincorp in the created chroot)

>> Thanks Raphael, I can (at least) confirm that the work-around works.

> Well, note that this work-around is a not a good one since triggers of
> those initial packages won't be correctly setup.

Testing patch now, does not seem to work.
# dpkg -i tmp/*.deb
(Reading database ... 14221 files and directories currently installed.)
Preparing to replace dpkg-dev 1.16.1 (using
.../dpkg-dev_1.16.1+armhf.1_all.deb) ...
Unpacking replacement dpkg-dev ...
Preparing to replace dpkg 1.16.1 (using .../dpkg_1.16.1+armhf.1_armhf.deb) ...
Unpacking replacement dpkg ...
Selecting previously unselected package dselect.
Unpacking dselect (from .../dselect_1.16.1+armhf.1_armhf.deb) ...
Selecting previously unselected package libdpkg-dev.
Unpacking libdpkg-dev (from .../libdpkg-dev_1.16.1+armhf.1_armhf.deb) ...
Preparing to replace libdpkg-perl 1.16.1 (using
.../libdpkg-perl_1.16.1+armhf.1_all.deb) ...
Unpacking replacement libdpkg-perl ...
Setting up dpkg (1.16.1+armhf.1) ...
Setting up dselect (1.16.1+armhf.1) ...
Setting up libdpkg-dev (1.16.1+armhf.1) ...
Setting up libdpkg-perl (1.16.1+armhf.1) ...
Setting up dpkg-dev (1.16.1+armhf.1) ...
# dpkg -D71223 --configure -a
D010000: trigproc_run_deferred

Cheers,
-- 
 Héctor Orón  -.. . -... .. .- -.   -.. . ...- . .-.. --- .--. . .-.




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#644492; Package dpkg. (Thu, 06 Oct 2011 22:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Thu, 06 Oct 2011 22:21:03 GMT) Full text and rfc822 format available.

Message #35 received at 644492@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: Raphael Hertzog <hertzog@debian.org>
Cc: 644492@bugs.debian.org
Subject: Re: Bug#644492: dpkg: --configure -a does not run postinst scripts
Date: Fri, 7 Oct 2011 00:19:58 +0200
Hello again,

2011/10/7 Hector Oron <hector.oron@gmail.com>:
> Testing patch now, does not seem to work.
> # dpkg -i tmp/*.deb
> (Reading database ... 14221 files and directories currently installed.)
> Preparing to replace dpkg-dev 1.16.1 (using
> .../dpkg-dev_1.16.1+armhf.1_all.deb) ...

Installing newer dpkg with old dpkg seem to change package status,
when having newer dpkg from the beginning, it does work again and
configures the system.

So, confirmed, the patch seem to work. Thanks.
-- 
 Héctor Orón  -.. . -... .. .- -.   -.. . ...- . .-.. --- .--. . .-.




Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. (Fri, 14 Oct 2011 05:51:22 GMT) Full text and rfc822 format available.

Notification sent to Hector Oron <hector.oron@gmail.com>:
Bug acknowledged by developer. (Fri, 14 Oct 2011 05:51:22 GMT) Full text and rfc822 format available.

Message #40 received at 644492-close@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 644492-close@bugs.debian.org
Subject: Bug#644492: fixed in dpkg 1.16.1.1
Date: Fri, 14 Oct 2011 05:47:19 +0000
Source: dpkg
Source-Version: 1.16.1.1

We believe that the bug you reported is fixed in the latest version of
dpkg, which is due to be installed in the Debian FTP archive:

dpkg-dev_1.16.1.1_all.deb
  to main/d/dpkg/dpkg-dev_1.16.1.1_all.deb
dpkg_1.16.1.1.dsc
  to main/d/dpkg/dpkg_1.16.1.1.dsc
dpkg_1.16.1.1.tar.bz2
  to main/d/dpkg/dpkg_1.16.1.1.tar.bz2
dpkg_1.16.1.1_amd64.deb
  to main/d/dpkg/dpkg_1.16.1.1_amd64.deb
dselect_1.16.1.1_amd64.deb
  to main/d/dpkg/dselect_1.16.1.1_amd64.deb
libdpkg-dev_1.16.1.1_amd64.deb
  to main/d/dpkg/libdpkg-dev_1.16.1.1_amd64.deb
libdpkg-perl_1.16.1.1_all.deb
  to main/d/dpkg/libdpkg-perl_1.16.1.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 644492@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guillem Jover <guillem@debian.org> (supplier of updated dpkg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 14 Oct 2011 07:08:31 +0200
Source: dpkg
Binary: libdpkg-dev dpkg dpkg-dev libdpkg-perl dselect
Architecture: source amd64 all
Version: 1.16.1.1
Distribution: unstable
Urgency: low
Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
Changed-By: Guillem Jover <guillem@debian.org>
Description: 
 dpkg       - Debian package management system
 dpkg-dev   - Debian package development tools
 dselect    - Debian package management front-end
 libdpkg-dev - Debian package management static library
 libdpkg-perl - Dpkg perl modules
Closes: 642521 642656 643037 643148 643632 644412 644492
Changes: 
 dpkg (1.16.1.1) unstable; urgency=low
 .
   [ Raphaël Hertzog ]
   * Fix dpkg-source to not ignore the automatic patch when checking
     for unrecorded changes. Closes: #643148
   * Let dpkg-source --commit create debian/patches when required.
     Closes: #643037
   * Fix dpkg-buildflags --dump to return 0 as exit code and not 1.
   * Update dpkg-buildflags(1) to not include quotes in the examples
     setting DEB_BUILD_MAINT_OPTIONS.
   * Stop outputting build flags in dpkg-buildpackage as it confuses
     maintainers who are overriding them in debian/rules and who
     are not seeing the expected value in the build log.
   * Fix trigger setup code to not reset the status of packages
     when they are in a status different from triggers-awaited,
     triggers-pending or installed. Closes: #644492
   * Fix dpkg-source to ignore changes on debian/patches/.dpkg-source-applied
     when building a "2.0" source package. Closes: #642656
   * Fix buildflags.mk to re-export the environment variables that
     the maintainer can use to change the build flags. Closes: #644412
 .
   [ Guillem Jover ]
   * Change dpkg-buildflags to set preprocessor option -D_FORTIFY_SOURCE=2
     in CPPFLAGS, instead of CFLAGS and CXXFLAGS. Closes: #642521, #643632
   * Fix typo to correctly set DEB_*_ARCH_BITS instead of DEB_*_ARCH in
     architecture.mk. Thanks to Thorsten Glaser <tg@mirbsd.org>.
   * Make dpkg-buildflags disable full relro (bindnow) if relro is not enabled.
Checksums-Sha1: 
 84d661ab56634263bf86d2c6bc01f40194ff7942 1372 dpkg_1.16.1.1.dsc
 578c312accfaabf240f1cb8f6e13cfdabd8d8027 5432275 dpkg_1.16.1.1.tar.bz2
 f64f11f95012a185f6c3657c5c956f818bff110f 555334 libdpkg-dev_1.16.1.1_amd64.deb
 631f6ee4cdb7e8746275ba66dd02851d248a9e2c 2221654 dpkg_1.16.1.1_amd64.deb
 096aa4dee20bab855772723d36ee727149a67120 1009472 dselect_1.16.1.1_amd64.deb
 cd1d60c6fc72e9fad2e5661a4379e8096c986187 927372 dpkg-dev_1.16.1.1_all.deb
 ea256cf7c5ff4428f8f05029ed613f3dcdbcee1b 809766 libdpkg-perl_1.16.1.1_all.deb
Checksums-Sha256: 
 a265a786974128b5c9d9a59e9b0b8e080601217e320ea21f06a79376f80463f3 1372 dpkg_1.16.1.1.dsc
 7bd9861ddfa7408ca790ca0d8fa8a3b585afcb900fdee5b658d42f9fca09202d 5432275 dpkg_1.16.1.1.tar.bz2
 914a67584614415a99f5f1f2e9544af183a64b7660768e401ea36e6d833738a1 555334 libdpkg-dev_1.16.1.1_amd64.deb
 3dfe73a733a58a0718b0adcd1decc20c798a7f66a282714f1fd31d0095dbd65b 2221654 dpkg_1.16.1.1_amd64.deb
 e7459e18c8643e6cc3a2939e9b42656c83888507c8feab56c1b1cc8c8b3f5ac7 1009472 dselect_1.16.1.1_amd64.deb
 08f86079607e20285c2e49760150b09d83135dc03cecf0579f06ac0c8e338b8c 927372 dpkg-dev_1.16.1.1_all.deb
 747685b3b639cf1e4bcb86c1abd401fa8d53b89fa2d5186c432618ffa8af23bb 809766 libdpkg-perl_1.16.1.1_all.deb
Files: 
 61e4c4decca0d3fcf5273a511691faea 1372 admin required dpkg_1.16.1.1.dsc
 73fb4d67dbc9f9f14a776187429ce3f1 5432275 admin required dpkg_1.16.1.1.tar.bz2
 fe5f482b2d8f0c29166e64de8e7a057e 555334 libdevel optional libdpkg-dev_1.16.1.1_amd64.deb
 e8e587d015e07ee9e021dde794118178 2221654 admin required dpkg_1.16.1.1_amd64.deb
 ba40b0adceac93490b597deb7824ffbc 1009472 admin optional dselect_1.16.1.1_amd64.deb
 c03b149e046793a6adf4a5ad85fab218 927372 utils optional dpkg-dev_1.16.1.1_all.deb
 30f6b48d95cdeba197302daee1ec99b3 809766 perl optional libdpkg-perl_1.16.1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk6XxdMACgkQuW9ciZ2SjJvdRwCbBBL7amUJAKoRAMSzur5JAlQ7
E8cAnjB+hj7Xzr7Jm7i1b0pX3cWUWxkV
=zyVA
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 19 Nov 2011 07:38:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 21:11:36 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.